Miért nem működik a Java, Silverlight és az Adobe Acrobat bővítmény?

Az Adobe Flash kivételével az összes NPAPI Firefox bővítmény támogatása megszűnt, a Firefox 52 2017. március 7-ei verziójának megjelenésével. Néhány bővítmény már nem fog betöltődni, annak ellenére, hogy telepítve van a számítógépén, mint például a Java, Microsoft Silverlight és az Adobe Acrobat. Ezzel kapcsolatos további információ ebben a kompatibilitási dokumentumben olvasható.

Az elmúlt pár évben a Firefox különböző Web API-kat, így a weboldalak bővítmények nélkül is megoldhatják ugyanazt. Ez azt jelenti, hogy a legtöbb esetben a böngészési élmény nem változik.

Miért tette ezt a Firefox?

Az interneten számtalan olyan weboldal található, amely több, mint statikus weboldal. Ilyenek a videók és a játékok. Az NPAPI bővítmények, különösen a Flash segített ezen interaktív oldalak létrejöttében. De ugyanakkor lassították a böngészést, csökkentették a biztonságot és gyakrabban omlottak össze.

Az elmúlt pár évben a Firefox keményen dolgozott azon, hogy kiváltsa ezeket a bővítményeket. Ezeket hívják Web API-oknak. Úgy tervezték őket, hogy helyettesítsék ezen bővítmények funkcióit anélkül, hogy csökkentség a biztonságot, a stabilitást és a teljesítményt.

Korábban ezek a Web API-k nem álltak rendelkezésre, így a Firefox az átmenetet a bővítmények (kézi) aktiválásával kezdte.

Ma már ezek elérhetők. Számos weboldal használja őket és majdnem minden kedvenc weboldal elérhető az öreg és nem biztonságos bővítmények nélkül. A Firefox a többi modern böngészővel, mint a Google Chrome és a Microsoft Edge összefogva megszüntették ezen NPAPI bővítmények támogatását.

Hasznos volt a leírás? Kérem, várjon...

A következő remek emberek segítettek a leírás megírásában: Kéménczy Kálmán, Meskó Balázs, amsterbond . Ön is segíthet – tudja meg, hogyan.